.workspace__reg {
  // background: linear-gradient(252.44deg, rgba(193, 193, 193, 0.58) 0%, rgba(196, 196, 196, 0) 61.09%);
  background-size: cover cover;
  background: rgba(161, 208, 227, 0.6) url('../assets/img/background.png') 0 0 no-repeat;
  height: 100vh;
  overflow: auto !important;
  @include dflex(stretch, nowrap, space-between);
  flex-direction: column;
}

.workspace__content-reg {
  flex: 1;
}

.workspace__cont {
  position: relative;
  overflow: hidden;

  &-elem,
  &-elem2,
  &-elem3,
  &-elem4,
  &-elem5 {
    position: absolute;

    @include mmax ($pad){
      display: none !important;
    }
  }

  &-elem {
    top: rem(80);
    left: rem(86);
  }

  &-elem2 {
    right: -2.82%;
    top: rem(100);
  }
  &-elem3 {
    bottom: rem(-20);
    right: rem(-40);
  }
  &-elem4 {
    display: none !important;
  }
  &-elem5 {
    display: none !important;
  }
}

.container {
  @include container($wrap);
  padding: 0 rem(15);
}

.logo {
  font-style: normal;
  font-weight: bold;
  font-size: rem(24);
  line-height: rem(29);
  display: flex;
  align-items: center;
  color: $c-any;
  text-decoration: none;
  transform: translateY(rem(-9));
  transition: color .3s ease;

  &:hover {
    color: darken($c-any, 15%);
  }

  &_transform {
    transform: translate(0, 0);
  }

  &_blue {
    color: $c-blue;
  }

  @include mmax ($xl){
    transform: translateY(0);
  }
}

.video-doctor {
  position: relative;
  width: rem(600);
  height: rem(339);
  margin: rem(20) auto;
  overflow: hidden;
  cursor: pointer;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.2);
    z-index: 1;
  }

  img {
    @include full-abs();
    margin: auto;
    object-fit: cover;
    object-position: center center;
    max-width: 100%;
    max-height: 100%;
    transition: transform 5s ease-in-out;
  }

  svg {
    @include full-abs();
    margin: auto;
    z-index: 2;
    transition: transform .3s ease-in-out;

    path {
      transition: fill .3s ease;
    }
  }

  &:hover {
    img {
      transform: scale(1.5);
    }

    svg {
      path {
        fill: $c-any;
      }
    }
  }

  @include mmax ($pad){
    width: 100%;
    height: auto;
    padding-bottom: 55%;

    img {
      width: 100%;
      height: auto;
    }
  }


  @include mmax ($phone){
    padding-bottom: 60%;
    margin: 0;

    img {
      height: 100%;
    }

    svg {
      transform: scale(0.7);
    }
  }

  &_big {
    width: 100%;
    height: auto;
    padding-bottom: 50%;

    img {
      width: 100%;
      bottom: auto;
    }
  }
}

.column {
  width: rem(285);
  padding: rem(40) rem(20) rem(27);
  background: $c-white;
  box-shadow: 0px 12px 34px -22px rgba(0, 0, 0, 0.25);
  border-radius: rem(20);

  &__logo {
    @include dflex(center, wrap, center);
    height: rem(64);
    width: 100%;
    margin-bottom: rem(20);

    img {
      display: block;
      max-width: 100%;
    }
  }

  &__txt {
    margin-bottom: rem(31);
    line-height: 150%;
    min-height: rem(96);
    margin-bottom: rem(15);
  }


  &_xhibition {
    margin-right: 0 !important;
    width: rem(388);
    .column__txt {
      min-height: auto;

      .bold {
        display: block;
        font-size: rem(14);
        font-weight: bold;
        margin-bottom: rem(20);
      }
    }
  }

  @include mmax ($pad){
    width: rem(304);
    margin: rem(10) rem(12) !important;
  }

  @include mmax ($phone){
    width: rem(304);
    margin: 0 auto rem(8) !important;
  }
}

.back {
  position: relative;
  text-decoration: none;
  margin: rem(25) 0 rem(31);
  cursor: pointer;

  svg {
    margin-right: rem(10.5);

    path {
      transition: stroke .3s ease;
    }
  }

  font-style: normal;
  font-weight: normal;
  font-size: rem(16);
  line-height: 150%;
  color: $c-any;
  transition: color .3s ease;

  &:hover {
    color: darken($c-any, 15%);

    svg {
      path {
        stroke: darken($c-any, 15%);
      }
    }
  }
}

.change-block {
  opacity: 0;
  visibility: hidden;
  top: rem(50);
  position: absolute;
  transition: all .3s ease;
}

.change-block.is-active {
  opacity: 1;
  visibility: visible;
  top: rem(0);
  position: relative;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0,0,0,0.3);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  z-index: -999;
  transition: opacity 1s;

  &__content {
    position: relative;
    background: $c-white;
    overflow: auto;
    box-shadow: 0px 12px 34px -22px rgba(0, 0, 0, 0.25);
    border-radius: rem(30);
    width: rem(900);
    padding: rem(80) rem(60) rem(68);
  }

  &__close {
    position: absolute;
    top: rem(32);
    right: rem(32);
    width: rem(32);
    height: rem(32);
    border-radius: 50%;
    background: $c-white;
    border: 1px solid $c-any;
    box-sizing: border-box;
    transition: background .3s ease;
    cursor: pointer;

    i {
      @include full-abs();
      margin: auto;

      width: rem(13.54);
      height: rem(1);
      background: $c-any;
      transform: rotate(-45deg);
      transition: background .3s ease;

      &:last-child {
        transform: rotate(45deg);
      }
    }

    &:hover {
      background: $c-any;

      i {
        background: $c-white;
      }
    }
  }

  &__title {
    margin-bottom: rem(60);
  }

  .icon-file {
    margin-right: rem(20);
  }

  &__txt {
    max-width: rem(377);
    line-height: 150%;
    text-align: left;
  }

  &__list-file {
    margin-bottom: rem(40);

    &:last-child {
      margin-bottom: 0;
    }

    .link {
      margin-right: rem(40);

      svg {
        margin-right: rem(10);
      }

      &:last-child {
        margin-right: 0;
      }
    }
  }

  &__mobile-icon {
    width: rem(46);
    height: rem(20);
    @include dflex(center, wrap, center);
    background: $c-any;
    border-radius: rem(4);
    margin-bottom: rem(8);
    text-transform: uppercase;

    .txt-icon {
      font-style: normal;
      font-weight: 600;
      font-size: rem(12);
      letter-spacing: 0.04em;
      color: $c-white;
    }

    display: none;
  }

  .doc {
    background: #6594EE;
  }

  .jpg {
    background: #4ECEAF;
  }

  &_sertificat {}

  &__col {
    &-date {
      max-width: rem(90);
      margin-right: rem(33);
    }

    &-description {
      max-width: rem(428);
    }

    &-ball {
      max-width: rem(90);
      margin-right: rem(21);
    }
  }

  @include mmax ($pad){

    &__close {
      display: none;
    }

    &__content {
      width: 100%;
      height: 100%;
      padding: rem(38) rem(32) rem(32) rem(32);

      &::before {
        content: '';
        width: rem(48);
        height: rem(2);
        background: $c-any;
        border-radius: rem(4);
        position: absolute;
        top: rem(8);
        left: 0;
        right: 0;
        margin: auto;
      }
    }

    &__list-file {
      .icon-file {
        display: none;
      }
    }

    &__mobile-icon {
      display: flex;
    }

    &__txt {
      display: block;
      width: 100%;
      max-width: 100%;
    }

    .end {
      width: 100%;
      justify-content: flex-start;
      margin-top: rem(8);
    }
  }
}

.modal.is-active {
  opacity: 1;
  visibility: visible;
  z-index: 999;
}